gnutls_pkcs12_bag_encrypt(3)

NAME
gnutls_pkcs12_bag_encrypt - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_encrypt(gnutls_pkcs12_bag_t bag, const char * pass, unsigned int flags);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

const char * pass
    The password used for encryption, must be ASCII

unsigned int flags
    should be one of gnutls_pkcs_encrypt_flags_t elements bitwise or'd

DESCRIPTION
This function will encrypt the given bag.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/